Bug 251142 - prelink stopped since I had upgrade to f7
Summary: prelink stopped since I had upgrade to f7
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-07 14:16 UTC by Sergio Monteiro Basto
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 16:26:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sergio Monteiro Basto 2007-08-07 14:16:28 UTC
+++ This bug was initially created as a clone of Bug #244065 +++

Description of problem:

well , think I am getting into the problem 

cat /var/log/prelink/prelink.log
cat: /var/log/prelink/prelink.log: No such file or directory
cat /var/lib/misc/prelink.force
(none)
cat /var/lib/misc/prelink.full
Fri May 19 14:51:03 WEST 2006

so no prelink neither run /etc/cron.daily/prelink does anything 

any suggestions ? 


-- Additional comment from sergio@sergiomb.no-ip.org on 2007-08-01 20:38 EST --
Created an attachment (id=160483)
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=160483
cron.daily/prelink patch
how about this patch ? to put prelink running again

Comment 1 Jakub Jelinek 2007-08-10 13:13:45 UTC
If you don't have
PRELINKING=yes
in your /etc/sysconfig/prelink, then that's desirable action - it should
/usr/sbin/prelink -uav
once and then there is no need to do anything further.

Comment 2 Sergio Monteiro Basto 2007-08-10 13:43:24 UTC
cat /etc/sysconfig/prelink|grep -v \#
PRELINKING=YES
PRELINK_OPTS=-mR
PRELINK_FULL_TIME_INTERVAL=14
PRELINK_NONRPM_CHECK_INTERVAL=5

After upgrade to f7 , results on #1 

Comment 3 Oleg Girko 2007-08-10 14:32:12 UTC
Look at the top of "/etc/cron.daily/prelink" file:

if [ "$PRELINKING" != yes ]; then
  ...

This means that you must have "PRELINKING=yes" (note lowercase "yes") instead 
of "PRELINKING=YES". Actually, "PRELINKING=YES" is functionally equivalent to 
setting "PRELINKING=no" or "PRELINKING=foobar".

Only lowercase "yes" turns on prelinking. Everything else turns it off.

Comment 4 Sergio Monteiro Basto 2007-08-10 16:41:09 UTC
ok, I had put yes in lower case , I will check one fc6 , if YES is on upper case
or not !

Comment 5 Jakub Jelinek 2007-08-13 16:26:10 UTC
It has always been lowercase and accepted always only lowercase as yes.


Note You need to log in before you can comment on or make changes to this bug.